php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #18426 Problem with Ingres II 2.6
Submitted: 2002-07-18 18:38 UTC Modified: 2002-07-28 18:25 UTC
From: vg3005 at club-internet dot fr Assigned:
Status: Closed Package: *Database Functions
PHP Version: 4.2.1 OS: Mandrake linux 8.2 2.4.18.6
Private report: No CVE-ID: None
 [2002-07-18 18:38 UTC] vg3005 at club-internet dot fr
What I do:
gunzip apache_1.3.x.tar.gz
tar xvpzf apache_1.3.26.tgz
gunzip php-4.2.1.tgz
cd apache_1.3.26
./configure --prefix=/apache
cd ../php-4.2.1
./configure --with-mysql --with-apache=../apache_1.3.26 --enable-track-vars --with-ingres=/home/ingresII/ingres
make
make install
cd ../apache_1.3.26
./configure --activate-module=src/modules/php4/libphp4.a
make

first probleme the installation of php don't copy libphp4.a into apache_1.3.26/src/modules/php4 so I get it from php4/libs directory 
but now when I try to compile Apache 1.3.26 with php 4.2.1 with support of mysql and ingres II 2.6 I get this message

/home/ingresII/ingres/lib/libingres.a(louniq.o): In function `LOuniq':
louniq.o(.text+0x16d): the use of `mktemp' is dangerous, better use `mkstemp'
/home/ingresII/ingres/lib/libingres.a(mepages.o): In function `IIMEget_pages':
mepages.o(.text+0x1c5): undefined reference to `pthread_mutex_trylock'
collect2: ld returned 1 exit status


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-07-18 19:30 UTC] sniper@php.net
The first problem is not any bug, from INSTALL:
.
.
$ cd ../apache_1.3.x
$ ./configure --prefix=/www --activate-module=src/modules/php4/libphp4.a
 (The above line is correct!  Yes, we know libphp4.a does 
not exist at this stage.  It isn't supposed to.  It will be 
created.)

Please follow the instruction given in the INSTALL file..
and if you still get the same problem, let us know which version of ingress you get this with (and where we can get the same package)

 [2002-07-20 19:33 UTC] vg3005 at club-internet dot fr
I try to compile php with apxs as it'swrite in file INSTALL, the module libphp4.so is created and install in correct directory but when I tryed to start apache it failled on loading libphp4.so:
Syntax error on line 206 of /usr/local/apache/conf/httpd.conf:
Cannot load /usr/local/apache/libexec/libphp4.so into server: /usr/local/apache/libexec/libphp4.so: undefined symbol: pthread_mutex_trylock
./apachectl start: httpd could not be started

I Have install Advantage Ingres 2.6 for linux (The Cd was send by Computer assciates with 1 month licence). I have select full package install.
 [2002-07-28 18:25 UTC] vg3005 at club-internet dot fr
The ingres library aren't linked with pthread so, we just have to add -lpthread directive when we use -Lingres directive and it's work.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Thu May 23 12:01:35 2019 UTC